Subject: Re: [PATCH] submodule: make 'show' an alias for 'summary'

From: Jens Lehmann <[email-masked]>
Date: Sat, 29 Sep 2012 16:49:56 +0200

Am 29.09.2012 15:43, schrieb Ramkumar Ramachandra:
> Signed-off-by: Ramkumar Ramachandra <[email-masked]>
> ---
>  Like 'git remote show', 'git stash show'.

I understand the analogy to "git stash show" (as that also displays
a diff similar to what " git submodule summary" does). But "git
remote show" just displays a list of configured remotes, which is
something different. And the other command with a "show" option is
"git notes show", which causes it to display a note. So I think we
are pretty inconsistent here and I see no advantage of adding such
an alias for "git submodule summary". What am I missing?